Promote a selection of Community Wishlist Survey 2016 projects well suited for volunteer developers
Closed, ResolvedPublic

Description

NOTE: We have cancelled this goal (reasoning) and we have changed our focus to Featured Projects instead.

The goal of this project is to promote a selection of projects from the Community Wishlist Survey 2016 to hackathons (Wikimedia Hackathon) and developer outreach programs (GSOC/Outreachy).

Selection of proposals suitable for outreach programs, hackathon & volunteers

See below.

Small tasks

#TaskLanguages/Familiarity withPoint of contactStatusComments
#50T12347: Add page indicator to show that the page being viewed is protectedCSS, PHP, Familiarity with MediaWiki interface@matmarex1) A day long task for exp. contributor 2) When this task is done, check with TC team about announcements.
#53T160227: Add new inverted filters options to Special:ContributionsPHP, Familiarity with MediaWiki in general, JavascriptSee js file linked in the task

Big tasks

#TaskLanguages/Familiarity withPoint of contactStatusComments
#14T156442: New User Landing Page - Article Creation WorkflowCSS, Javascript, Design skills
#27T77154: Notification: Your file was usedPHP, Javascript, familiarity with MediaWiki in general@Lea_WMDE
#29T158462: Identify high-use gadgets and ensure that they have proper long-term maintenanceFamiliarity with developing gadgetsSome action items for this task are in T159334
#38T3886: A cross-wiki "What links here" (aggregate local iwbacklinks from wikis)PHP, Javascript, familiarity with MediaWiki in general@Krinkle1) This project would require architecture review. 2) To understand the problem, explore a tool like this first: https://tools.wmflabs.org/guc/
#49T123866: Notify users about deletion tags being added to pages they createdPHP, Javascript, familiarity with MediaWiki in general
#65T154100: Implement Internet Archive BookReader in Commons & WikisourceIntegration skills & moreFirst pick a best pdf reader (e.g. Book2Scroll, Internet Archive)

Complex tasks

#TaskLanguages/Familiarity withPoint of contactStatusComments
#53T2639: [Epic] Add feature annotate/blame command, to indicate who last changed each line / wordFamiliarity with MediaWiki, PHP1) Requires familiarity with implemention of diff engines 2) Dig into SCM systems like CVS, SVN and GIT, where this concept already exists

Research

#TaskLanguages/Familiarity withPoint of contactStatusComments
#45T49492: Automatically propose/suggest a category for imagesImage recognition/ analysis, NLP@WereSpielChequersCheck subtask T76886 too

Related Objects

Qgil created this task.Jan 10 2017, 1:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2017, 1:45 PM
srishakatux raised the priority of this task from Normal to High.Jan 18 2017, 11:55 PM
srishakatux updated the task description. (Show Details)Feb 11 2017, 1:57 AM
Qgil updated the task description. (Show Details)Apr 3 2017, 7:28 PM
srishakatux updated the task description. (Show Details)Apr 4 2017, 8:50 PM
srishakatux updated the task description. (Show Details)Apr 12 2017, 12:05 AM
srishakatux added a subscriber: Quiddity.
srishakatux updated the task description. (Show Details)Apr 12 2017, 12:08 AM
srishakatux updated the task description. (Show Details)
srishakatux updated the task description. (Show Details)Apr 13 2017, 8:19 PM
srishakatux added a subscriber: Lea_WMDE.
srishakatux updated the task description. (Show Details)Apr 19 2017, 11:50 PM
srishakatux updated the task description. (Show Details)Apr 20 2017, 12:18 AM
srishakatux added a subscriber: Krinkle.
srishakatux updated the task description. (Show Details)Apr 20 2017, 12:56 AM
srishakatux updated the task description. (Show Details)
srishakatux added a subscriber: matmarex.

Any ideas about this? Did any of these 2015 wishes made it to the 2016 survey?

matmarex updated the task description. (Show Details)Apr 20 2017, 3:23 PM
Qgil updated the task description. (Show Details)Apr 20 2017, 6:27 PM
srishakatux updated the task description. (Show Details)Apr 20 2017, 6:36 PM
srishakatux added a subscriber: WereSpielChequers.
srishakatux updated the task description. (Show Details)Apr 20 2017, 8:53 PM
srishakatux updated the task description. (Show Details)Apr 20 2017, 10:27 PM
Restricted Application added a project: Internet-Archive. · View Herald TranscriptApr 20 2017, 10:27 PM
srishakatux updated the task description. (Show Details)Apr 20 2017, 11:22 PM
srishakatux updated the task description. (Show Details)Apr 27 2017, 7:40 PM
sonkiki added a subscriber: sonkiki.EditedMay 2 2017, 5:45 PM

@srishakatux, following up on our call today, would you please be so kind as to chance the column "Mentor(s)" to say "Point of Contact(s)" ? Thanks!

srishakatux updated the task description. (Show Details)May 2 2017, 6:47 PM
srishakatux updated the task description. (Show Details)

@sonkiki Made changes accordingly :)

@Qgil Should this task be wrapped up as well as there are no plans to explicitly promote the projects listed above? A few projects here that are suitable for outreach venues are tagged as possible-tech-projects already.

Qgil added a comment.Jun 7 2017, 4:44 PM

Yes, but I think this wrap up should include Lessons Learned, and why at the end of FY2016-17 we have learned and decided that Community Wishlist tasks are not the good target for hackathons and developer outreach programs we thought they were.

srishakatux closed this task as Resolved.Jun 17 2017, 12:50 AM

Summary of our involvement in promotion of community wishlist (CW) tasks and lessons learned for wrapping this up

At the beginning of 2017, we created a CW project board with intent to keep track of tasks which are not in the top ten list and to promote them through developer outreach programs and hackathons. Initially, for GSOC and Outreachy, we picked projects from Possible-Tech-Projects (PT) that were newcomer-friendly, had mentors, instructions for getting started & implementation & and needed no consensus to move forward. In addition, we promoted the CW workboard via the GSOC & Outreachy MediaWiki page. Clearly, PT tasks received a lot of interest and were picked by candidates over CW tasks as the later were too complicated for beginners and missing the traits that I've mentioned above. There was interest expressed in a CW proposal, but we later learned it was still in a discussion phase.

For the hackathon, we wanted to highlight CW tasks more, and so we created T154988. First, it was interesting that we could only find two small tasks from 60 and second, we got the feedback from the community tech team that most of the tasks were too complicated. We also showcased the CW tasks in the list of featured tasks for the Wikimedia hackathon. In the hackathon, we saw three types of participants: Experienced developers who already knew what they are going to work on, newcomers looking for projects, & mentors willing to help out with almost anything. Newcomers worked on easy tasks that were pointed to them by the mentors based on the project they expressed interest in working on.

And, so to sum up -- lessons we learned were that it is not useful to explicitly promote tasks from CW list through hackathon & outreach programs due to their complex nature and that they may not be a good fit with participant's interests. Though we might try to screen through for easy & small projects from the list and promote it to new developers, we are not planning to promote & support ten tasks as we initially planned or committed.

Qgil awarded a token.Jun 19 2017, 1:48 PM
Qgil updated the task description. (Show Details)Jul 7 2017, 3:13 PM